﻿/* CALCULATOR */
.cl-calc {
    padding-bottom: 5.2rem;
    scroll-margin-top: 100px;
}

.cl-calc__inner {
    width: 100%;
    margin: 0 auto;
    max-width: var(--max-container-width);
    padding: 0 2rem;
}

.cl-calc__calc-label,
.cl-calc__calc-item .v-text-field__prefix {
    color: var(--primary-two);
}

.cl-calc__calc-item .v-text-field__prefix {
    margin-right: 0.6rem;
    line-height: 1;
}

.cl-calc__calc-item:not(:last-child) {
    margin-bottom: 2.8rem;
}

.cl-calc__calc-item input {
    border: 0;
    outline: none;
    height: 40px;
}

.padding-y-6 {
    padding-top: 6rem;
    padding-bottom: 6rem;
}

.cl-calc__estimation {
    color: var(--primary-two);
    font-weight: 700;
}

.cl-calc__tooltip {
    display: inline-block;
    width: 22px;
    height: 22px;
    background-color: var(--primary-one);
    border-radius: 50%;
    color: var(--white);
    font-family: Lora;
    font-size: 18px;
    font-weight: bold;
    line-height: 18px;
    margin-left: 1rem;
    padding: 2px 0 0 0;
    text-align: center;
    transform: translateY(-2px);
}

.tipso_bubble {
    border-radius: 8px;
    font-size: 14px;
    line-height: 20px;
    padding: .8rem;
}

.cl-calc__action {
    margin-left: -20px;
    margin-right: -20px;
}

.cl-calc__action-top,
.cl-calc__action-bottom {
    color: var(--primary-one);
    text-align: center;
}

.cl-calc__action-top {
    background-color: var(--tertiary-five);
    padding: 2.5rem 5rem;
    position: relative;
}

.cl-calc__action-bottom-title {
    margin-right: 10px;
}

.cl-calc__action-bottom-fee {
    text-align: right;
    width: 50%;
    font-weight: 700;
}

.cl-calc__action-top::after {
    content: '';
    background-color: var(--tertiary-five);
    display: block;
    width: 2.1rem;
    height: 2.1rem;
    position: absolute;
    transform: rotate(45deg);
    left: 0;
    right: 0;
    margin: 0 auto;
    bottom: -1rem;
}

.cl-calc__action-para {
    font-weight: 600;
    margin-bottom: 1.2rem;
    display: inline-block;
}

.cl-calc__action-top-amount {
    text-align: center;
    font-size: 4.5rem;
    font-weight: 700;
}

.cl-calc__action-bottom {
    background-color: var(--tertiary-one);
    padding: 3rem 0;
    min-height: 230px;
    border-bottom-right-radius: 30px;
}

.cl-calc .spinner {
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    height: 50px;
}

.cl-calc__action-bottom p {
    display: flex;
    width: calc(100% - 40px);
    justify-content: space-between;
    margin: 0 auto 10px;
    ;

    @media screen and (min-width: 992px) {
        width: calc(100% - 60px);
    }
}

    .cl-calc__action-bottom p small {
        font-weight: 400;
    }

.cl-calc__action-bottom-interest-title {
    display: inline-block;
    margin-left: -28px;
}

.cl-calc__action-bottom-interest-total-title {
    display: inline-block;
    margin-left: -3px;
}

.cl-calc__action-bottom-interest-total {
    margin-left: 10px;
    font-weight: 600;
    position: absolute;
    left: 75px;
}

.cl-calc__action-bottom-interest-total-cost {
    font-weight: 600;
    margin-left: 10px;
    position: absolute;
    left: 75px;
}

.cl-calc__small-print {
    margin-top: 2.6rem;
    display: block;
}

    .cl-calc__small-print a {
        text-decoration: underline;
    }

    .cl-calc__small-print small {
        margin-bottom: 1.2rem;
        display: inline-block;
    }

.cl-calc__small-print--desktop {
    display: none;
}

/* VUE */
.cl-calc__calc-item .v-text-field__slot {
    max-height: 4rem;
    display: flex;
    box-shadow: 0px 2px 2px rgba(2, 0, 185, 0.04), 0px 2px 10px rgba(2, 0, 185, 0.08);
    padding: 0 9px;
    border-radius: 3px;
    align-items: center;
    background-color: #fff;
}

.cl-calc__calc-item .v-radio input,
.cl-calc__calc-item .v-select__selection + input {
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    width: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
}

.cl-calc__calc-item .v-input {
    border: 1px solid transparent;
    border-radius: 3px;
}

    .cl-calc__calc-item .v-input.v-input--is-focused {
        border: 1px solid var(--primary-two);
    }

/* * SELECT */
.cl-calc__calc-item .v-select__selection {
    cursor: pointer;
    border-radius: 3px;
    padding: 1.2rem 1.1rem;
    box-shadow: 0px 2px 2px rgba(2, 0, 185, 0.04), 0px 2px 10px rgba(2, 0, 185, 0.08);
    max-height: 4rem;
    line-height: 1;
    background-color: #fff;
}

.cl-calc__calc-item .v-select__slot {
    position: relative;
}

    .cl-calc__calc-item .v-select__slot .v-input__append-inner {
        position: absolute;
        right: 12px;
        bottom: 10px;
        transition: transform 0.2s ease-in-out;
    }

    .cl-calc__calc-item .v-select__slot .mdi-menu-down::before {
        display: inline-block;
        font-family: var(--fa);
        font-size: 1.4rem;
        content: '\f078';
        color: var(--primary-two);
        font-style: normal;
    }

.cl-calc__calc-item
.v-select.v-select--is-menu-active
.v-select__slot
.v-input__append-inner {
    transform: rotate(-180deg);
}

.cl-calc__calc-item .v-label {
    cursor: pointer;
}

.cl-calc__calc-item .v-input--radio-group__input {
    display: block;
    background-color: var(--white);
    box-shadow: 0px 2px 2px rgba(2, 0, 185, 0.04), 0px 2px 10px rgba(2, 0, 185, 0.08);
    border-radius: 20px;
    position: relative;
}

    .cl-calc__calc-item .v-input--radio-group__input:has(:focus) {
        box-shadow: 0px 3px 15px 4px #0200B933;
    }

.cl-calc__calc-item .cl-calc__calc-label-radio-state {
    background-color: var(--primary-two);
    display: inline-block;
    position: absolute;
    height: 100%;
    border-radius: 30px;
    z-index: 0;
    transition: left 400ms cubic-bezier(0.175, 0.885, 0.32, 1.2);
}

.cl-calc__calc-item .v-radio:nth-child(3) {
    width: 32%;
}

.cl-calc__calc-item .v-radio {
    display: inline-block;
    width: 32.5%;
    position: relative;
    z-index: 1;
}

    .cl-calc__calc-item .v-radio .v-label {
        color: var(--primary-one);
        border-radius: 30px;
        padding: 1.3rem;
        line-height: 1;
        margin-bottom: 0;
        width: 100%;
        text-align: center;
    }

    /* STATE */
    .cl-calc__calc-item .v-radio.v-item--active .v-label {
        color: var(--white);
    }

    .cl-calc__calc-item
    .v-radio:nth-child(1).v-item--active ~ .cl-calc__calc-label-radio-state {
        left: 0;
        width: 33%;
    }

    .cl-calc__calc-item
    .v-radio:nth-child(2).v-item--active ~ .cl-calc__calc-label-radio-state {
        left: 32%;
        width: 32%;
    }

    .cl-calc__calc-item
    .v-radio:nth-child(3).v-item--active ~ .cl-calc__calc-label-radio-state {
        left: 66%;
        width: 32%;
    }

/* VUE SPECIFIC STYLES */

.cl-calc .v-menu__content {
    background-color: var(--white);
    position: absolute;
    display: inline-block;
    border-radius: 4px;
    max-width: 80%;
    overflow-y: auto;
    overflow-x: hidden;
    contain: content;
    will-change: transform;
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.cl-calc .v-list-item {
    align-items: center;
    display: flex;
    flex: 1 1 100%;
    letter-spacing: normal;
    min-height: 48px;
    outline: none;
    padding: 0 16px;
    position: relative;
    text-decoration: none;
    cursor: pointer;
}

.cl-calc .v-list-item--link:before {
    background-color: currentColor;
    bottom: 0;
    content: '';
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    right: 0;
    top: 0;
    transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
}

.cl-calc .v-list-item:hover:before {
    opacity: 0.04;
}

.cl-calc .v-text-field--outlined fieldset {
    display: none;
}

.error--text .v-messages__message {
    font-size: 1.4rem;
    margin-top: 0.9rem;
    color: var(--tertiary-error);
}

/* VUETIFY ANIMATION */
.cl-calc .v-menu-transition-enter .v-list-item {
    min-width: 0;
    pointer-events: none;
}

.cl-calc .v-menu-transition-enter-to .v-list-item {
    pointer-events: auto;
    transition-delay: 0.1s;
}

.cl-calc .v-menu-transition-leave-active,
.v-menu-transition-leave-to {
    pointer-events: none;
}

.cl-calc .v-menu-transition-enter,
.v-menu-transition-leave-to {
    opacity: 0;
}

.cl-calc .v-menu-transition-enter-active,
.v-menu-transition-leave-active {
    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.cl-calc .v-menu-transition-enter.v-menu__content--auto {
    transition: none;
}

    .cl-calc .v-menu-transition-enter.v-menu__content--auto .v-list-item {
        opacity: 0;
        transform: translateY(-15px);
    }

    .cl-calc .v-menu-transition-enter.v-menu__content--auto .v-list-item--active {
        opacity: 1;
        transform: none;
        pointer-events: auto;
    }

.calc_cta_wrap {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    justify-content: center;
    padding-top: 3rem;
}

    .calc_cta_wrap .c-button {
        width: auto;
        align-self: center;
        padding: 1.3rem 1rem;
        min-width: 200px;
    }

@media (min-width: 1024px) {
    .calc_cta_wrap {
        flex-direction: row-reverse;
        gap: 3rem;
    }
}

@media (max-width: 575px) {
    .calc_cta_wrap .c-button {
        width: calc(100% - 4rem);
        margin: auto;
    }
}

.email_overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(17, 85, 224, 0.9);
    z-index: 10000;
    display: flex;
    place-content: center;
    align-items: center;
    padding: 28px;
    overflow-y: auto;
}

.email_dialog {
    background-color: #fff;
    border-radius: 20px;
    position: relative;
    padding: 45px 20px;
    overflow: hidden;
    margin-top: 30px;
    max-height: 90vh;
    overflow-y: auto;
}

.email_dialog_close {
    font-size: 0;
    appearance: none;
    width: 60px;
    height: 60px;
    border: none;
    position: absolute;
    top: 0;
    right: 0;
    background-image: url("data:image/svg+xml,%3Csvg width='16' height='17' viewBox='0 0 16 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M15.5051 15.5327L9.03499 8.75L15.5016 1.97097C15.8235 1.63349 15.8235 1.08693 15.5016 0.749442C15.3476 0.588036 15.1411 0.5 14.9207 0.5C14.7002 0.5 14.4938 0.588036 14.3398 0.749442L7.87325 7.52845L1.40669 0.753114C1.25272 0.591708 1.04627 0.503649 0.825816 0.503649C0.605365 0.503649 0.398911 0.591708 0.244946 0.753114C-0.076983 1.0906 -0.076983 1.63716 0.244946 1.97464L6.71151 8.75L0.241446 15.5327C0.0874804 15.6941 0 15.9105 0 16.1416C0 16.3727 0.0839812 16.5892 0.241446 16.7506C0.395412 16.912 0.601866 17 0.822317 17C1.04277 17 1.24922 16.912 1.40319 16.7506L7.87325 9.96788L14.3468 16.7506C14.5008 16.912 14.7072 17 14.9277 17C15.1481 17 15.3546 16.912 15.5086 16.7506C15.6625 16.5892 15.75 16.3727 15.75 16.1416C15.7465 15.9105 15.659 15.6941 15.5051 15.5327Z' fill='%231155E0'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center center;
    background-color: #fff;
}

.email_dialog_inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

    .email_dialog_inner [type='text'] {
        width: 100%;
    }

    .email_dialog_inner .desktop_only {
        display: none;
    }

    .email_dialog_inner h6 {
        font-size: 18px;
        font-weight: 700;
        margin-bottom: 25px;
        font-family: var(--muli);
    }

        .email_dialog_inner h6.mb-0 {
            margin-bottom: 0;
        }

    .email_dialog_inner .centered {
        text-align: center;
    }

    .email_dialog_inner form {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }

    .email_dialog_inner .cl-calc__calc-item {
        min-width: calc(100vw - 90px);
        margin-bottom: 0;
    }

    .email_dialog_inner .cl-calc__calc-label {
        margin-bottom: 10px;
    }

    .email_dialog_inner .c-button {
        padding-left: 50px;
        padding-right: 50px;
        margin-top: 30px;
    }

        .email_dialog_inner .c-button:hover, .email_dialog_inner .c-button:focus {
            box-shadow: 0 0 3px 0 var(--primary-two);
        }

        .email_dialog_inner .c-button[disabled] {
            pointer-events: none;
            background-color: #c1c1c1;
            border: none;
        }

            .email_dialog_inner .c-button[disabled]:hover {
                background-color: #c1c1c1;
            }

    .email_dialog_inner label.custom-checkbox {
        position: relative;
        padding-left: 30px;
        text-indent: -19px;
        margin-top: 30px;
        padding-right: 30px;
    }

    .email_dialog_inner .sub_declaration label.custom-checkbox {
        margin-top: 10px;
        font-size: 14px;
    }

    .email_dialog_inner .inline_link {
        color: var(--primary-two);
        font-weight: 700;
        appearance: none;
        display: inline;
        border: none;
        background-color: transparent;
        text-decoration: underline;
        padding: 0 0;
    }

        .email_dialog_inner .inline_link::after {
            position: absolute;
            content: '';
            top: 3px;
            right: 0;
            width: 30px;
            height: 30px;
            background-repeat: no-repeat;
            background-position: center center;
            background-image: url("data:image/svg+xml,%3Csvg width='24' height='12' viewBox='0 0 24 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M22 1.37739L12 10.8511L2 1.37739' stroke='%230200B9' stroke-width='2.10526' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
        }

    .email_dialog_inner label.custom-checkbox::before {
        content: '';
        display: inline-block;
        position: relative;
        height: 20px;
        width: 20px;
        border: 2px solid var(--primary-two);
        border-radius: 4px;
        cursor: pointer;
        top: 5px;
        left: -10px;
    }

    .email_dialog_inner label.custom-checkbox::after {
        opacity: 0;
        transition: opacity 0.25s ease;
        content: '';
        border-left: 2px solid var(--primary-two);
        border-bottom: 2px solid var(--primary-two);
        height: 8px;
        width: 15px;
        cursor: pointer;
        transform: rotate(-53deg) scale(1);
        left: 3px;
        top: 9px;
        position: absolute;
    }

    .email_dialog_inner input[type='checkbox']:checked + label.custom-checkbox::after {
        opacity: 1;
    }

    .email_dialog_inner input[type='checkbox'] {
        position: absolute;
        left: -100vw;
    }

    .email_dialog_inner .declaration {
        height: 145px;
        overflow: auto;
        font-size: smaller;
    }

        .email_dialog_inner .declaration ul {
            padding-left: 40px;
        }

/* Car loan enquiry calculator */


.teslaPageCalc .cl-calc__action-bottom {
    border-bottom-right-radius: 30px;
}

.teslaPageCalc .cl-calc__estimation .cl-calc__tooltip {
    display: none;
}

.teslaPageCalc .cl-calc__action-top {
    border-top-left-radius: 0;
    padding-left: 5rem;
    padding-right: 5rem;
}

.car-loan-enquiry__calc .cle_label {
    display: block;
}

.car-loan-enquiry__calc .v-text-field__slot,
.car-loan-enquiry__calc .v-select__slot {
    box-shadow: 0px 3px 15px 4px #0200B933;
}

    .car-loan-enquiry__calc .v-text-field__slot input {
        width: 100%;
    }

.car-loan-enquiry__calc .cl-calc__calc-label {
    color: var(--secondary-one);
    display: inline-block;
    margin-bottom: 10px;
}

input::placeholder {
    -webkit-user-select: none;
    user-select: none;
}

.car-loan-enquiry__calc input::placeholder {
    color: var(--secondary-four);
    opacity: 1;
}

.car-loan-enquiry__calc input::-ms-input-placeholder {
    color: var(--secondary-four);
}

.cl-calc__results {
    border: 2px solid var(--primary-two);
    padding: 20px;
    margin: 20px 0 40px;
    border-radius: 20px;
}

#selectListRegion .v-select input::placeholder {
    padding-left: 9px;
}

.cl-calc__results-repayments {
    text-transform: capitalize;
}

.cl-calc__privacy-area .arrow_link {
    appearance: none;
    padding: 0 0;
    margin-top: 5px;
    border: none;
    background: none;
    width: 20px;
    height: 20px;
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("data:image/svg+xml,%3Csvg width='21' height='11' viewBox='0 0 21 11' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20 1L10.5 10L1 1' stroke='%230200B9' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
}

.cl-calc__privacy-area {
    position: relative;
}

.cl-calc__privacy-area,
.cl-calc__privacy-wrap .sub_declaration {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    padding: 0 10px;
}

input.cl-calc__styled-checkbox {
    transform: scale(1.7);
    height: 14px;
    margin-top: 10px;
    cursor: pointer;
}

.cl-calc__styled-checkbox:hover,
.cl-calc__styled-checkboxfocus,
.cl-calc__privacy-area button:hover,
.cl-calc__privacy-area button:focus {
    outline: 1px solid var(--primary-two);
}

.cl-calc__privacy-area .inline_link {
    appearance: none;
    color: var(--primary-two);
    padding: 0 0;
    border: none;
    background: none;
}

.cl-calc__privacy-wrap .cl-calc__declaration {
    padding: 0 20px;
    font-size: smaller;
}

    .cl-calc__privacy-wrap .cl-calc__declaration ul {
        padding-left: 20px;
    }

.car-loan-enquiry__submit {
    margin: 20px auto 40px;
    display: block;
    transition: all 0.4s;
    user-select: none;
}

    .car-loan-enquiry__submit.is_loading {
        pointer-events: none;
        cursor: not-allowed;
        background-color: var(--secondary-two);
    }

.cl-calc__results .cl-calc__action-top-amount {
    text-align: left;
    margin-top: 0;
    margin-bottom: 2rem;
}

.car-loan-enquiry__calc .manual_error {
    margin-top: -20px;
}

.cl-calc__privacy-area .manual_error {
    position: absolute;
    bottom: -16px;
    font-size: 1.4rem;
    color: var(--tertiary-error);
}

.car-loan-enquiry__submitMessage {
    text-align: center;
}

    .car-loan-enquiry__submitMessage .error {
        color: var(--tertiary-error);
    }

    .car-loan-enquiry__submitMessage .success {
        color: green;
    }

/*
    MEDIA
    --------------------------------------------
*/
@media (min-width: 768px) {
    .cl-calc__content {
        display: flex;
        justify-content: space-between;
        max-width: 85%;
        margin: 0 auto;
    }

    .cl-calc__calc,
    .cl-calc__action {
        width: 48%;
    }

    .cl-calc__action {
        margin: 0;
    }

    .cl-calc__small-print {
        text-align: center;
        width: 100%;
        max-width: 100%;
        margin: 5.6rem auto 0;
    }

    .calc_cta_wrap {
        align-items: center;
    }

    .email_dialog_close {
        top: 10px;
        right: 10px;
    }

    .email_overlay {
        overflow-y: hidden;
    }

    .email_dialog {
        padding: 45px;
        margin-top: 0;
    }

    .email_dialog_inner {
        gap: 15px;
    }

        .email_dialog_inner .mobile_only {
            display: none;
        }

        .email_dialog_inner .desktop_only {
            display: inline-block;
        }

        .email_dialog_inner h6 {
            font-size: 20px;
        }

        .email_dialog_inner .cl-calc__calc-item {
            min-width: 460px;
        }

        .email_dialog_inner label.custom-checkbox, .email_dialog_inner .declaration {
            width: 460px;
        }
}

@media (min-width: 1024px) {
    .cl-calc__content {
        max-width: var(--max-content-width);
    }

    .cl-calc__calc,
    .cl-calc__action {
        width: calc(50% - 25px);
    }

    .cl-calc__action-bottom-interest-title {
        margin-left: -40px;
    }

    .cl-calc__action-bottom-interest-total-title {
        margin-left: -12px;
    }

    .cl-calc__action-top {
        padding-top: 3.7rem;
        padding-bottom: 3.7rem;
    }

    .cl-calc__action-top-amount {
        margin-top: 1.8rem;
        display: block;
    }

    #selectListRegion .v-select__selections:not(:has(> div)) {
        padding-top: 2px;
        padding-bottom: 2px;
    }

    /* VUE */
    .cl-calc__calc-item .v-text-field__slot,
    .cl-calc__calc-item .v-select__selection {
        max-height: 4.4rem;
    }

    .cl-calc__calc-item .v-text-field__slot {
        padding-top: 2px;
        padding-bottom: 2px;
    }

    .cl-calc__calc-item .v-select__selection {
        padding-top: 13px;
        padding-bottom: 13px;
    }

    .cl-calc__calc-item .v-text-field__prefix {
        line-height: inherit;
    }

    .cl-calc__results {
        padding: 40px;
    }
}
